/**** roboto 900,700,500,400,300 ****/
@font-face {
  font-family: 'roboto';
  src: url("fonts/Roboto-Black-webfont.eot");
  src: url("fonts/Roboto-Black-webfont.eot?#iefix") format("embedded-opentype"), url("fonts/Roboto-Black-webfont.svg#robotoblack") format("svg");
  font-weight: 900;
  font-style: normal;
}
@font-face {
  font-family: 'roboto';
  src: url("fonts/Roboto-Bold-webfont.eot");
  src: url("fonts/Roboto-Bold-webfont.eot?#iefix") format("embedded-opentype"), url("fonts/Roboto-Bold-webfont.svg#robotobold") format("svg");
  font-weight: 700;
  font-style: normal;
}
@font-face {
  font-family: 'roboto';
  src: url("fonts/Roboto-Medium-webfont.eot");
  src: url("fonts/Roboto-Medium-webfont.eot?#iefix") format("embedded-opentype"), url("fonts/Roboto-Medium-webfont.svg#robotomedium") format("svg");
  font-weight: 500;
  font-style: normal;
}
@font-face {
  font-family: 'roboto';
  src: url("fonts/Roboto-Regular-webfont.eot");
  src: url("fonts/Roboto-Regular-webfont.eot?#iefix") format("embedded-opentype"), url("fonts/Roboto-Regular-webfont.svg#robotoregular") format("svg");
  font-weight: 400;
  font-style: normal;
}
@font-face {
  font-family: 'roboto';
  src: url("fonts/Roboto-Light-webfont.eot");
  src: url("fonts/Roboto-Light-webfont.eot?#iefix") format("embedded-opentype"), url("fonts/Roboto-Light-webfont.svg#robotolight") format("svg");
  font-weight: 300;
  font-style: normal;
}
*, ::after, ::before {
  box-sizing: inherit;
  list-style: none;
}

html {
  margin: 0rem;
  padding: 0rem;
}

body {
  margin: 0rem;
  padding: 0rem;
  box-sizing: border-box;
  font-family: "roboto", serif;
}

main {
  position: relative;
  padding: 0rem;
  margin: 0rem;
}

h1 {
  font-size: 1.5rem;
  font-weight: 400;
  color: #8f5bfe;
}
@media (min-width: 576px) {
  h1 {
    font-size: 1.8rem;
    padding-top: 1rem;
    padding-bottom: 1rem;
  }
}
@media (min-width: 768px) {
  h1 {
    font-size: 2.1rem;
  }
}
@media (min-width: 992px) {
  h1 {
    font-size: 2.4rem;
    padding-top: 1.5rem;
    padding-bottom: 1.5rem;
  }
}

h2 {
  font-size: 1.3rem;
  font-weight: 500;
  background-color: #f3e9f1;
  border: 0.1rem solid #8f5bfe;
  border-radius: .3rem;
  overflow: hidden;
  color: #343A40;
  padding-bottom: .2rem;
}
h2::after {
  content: "";
  display: block;
  width: 100%;
  height: .2rem;
  background-color: #FFF;
  margin-top: 0.5rem;
}
@media (min-width: 576px) {
  h2 {
    font-size: 1.6rem;
  }
}
@media (min-width: 768px) {
  h2 {
    font-size: 1.9rem;
    padding-top: .2rem;
  }
}
@media (min-width: 992px) {
  h2 {
    font-size: 2.2rem;
  }
}

h3 {
  font-size: 1.1rem;
  font-weight: 300;
}
@media (min-width: 576px) {
  h3 {
    font-size: 1.3rem;
  }
}
@media (min-width: 768px) {
  h3 {
    font-size: 1.5rem;
  }
}
@media (min-width: 992px) {
  h3 {
    font-size: 1.7rem;
  }
}

.template {
  display: none;
}

.noArticle {
  line-height: 3rem;
  font-size: 1.5rem;
  text-align: center;
  font-weight: 400;
}

.productResult {
  position: relative;
}
.productResult > div:first-child {
  box-shadow: 0.2rem 0rem 0.5rem rgba(143, 91, 254, 0.8);
  z-index: 1;
}
@media (min-width: 768px) {
  .productResult > div:first-child {
    box-shadow: 0rem 0.3rem 1rem rgba(143, 91, 254, 0.8);
  }
}
.productResult > div:last-child {
  z-index: 0;
}
.productResult--image {
  border-bottom: 0.1rem solid #8f5bfe;
  background-color: #8f5bfe;
}
@media (min-width: 768px) {
  .productResult--image {
    border-bottom: none;
    border-right: 0.1rem solid #8f5bfe;
  }
}
.productResult--title {
  padding-top: .5rem;
  text-align: center;
}
.productResult--title::after {
  content: "";
  display: block;
  width: 100%;
  height: .2rem;
  background-color: #FFF;
  margin-top: 0.5rem;
}
.productResult--description {
  color: #666666;
  padding: .2rem .5rem;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  font-size: 0.9rem;
}
@media (min-width: 768px) {
  .productResult--description {
    font-size: 1rem;
    padding: .5rem .5rem;
  }
}
@media (min-width: 1200px) {
  .productResult--description {
    white-space: initial;
    overflow: initial;
    text-overflow: initial;
  }
}
.productResult--price {
  text-align: center;
}
.productResult--price .badge {
  font-size: 1rem;
}
.productResult--pageLink {
  padding-left: 0rem;
  padding-right: 0rem;
}

/* result product */
.caddyMenueLine {
  border-bottom: 0.1rem dotted gray;
  padding-top: .5rem;
  padding-bottom: .5rem;
}
.caddyMenueLine:last-of-type {
  border-bottom: none;
}
.caddyMenueLine p {
  margin: 0rem;
  padding: .2rem .1rem;
}
.caddyMenueLine--name {
  font-size: .9rem;
  font-weight: 400;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}
.caddyMenueLine--name a {
  color: #343A40;
}
.caddyMenueLine--option {
  font-size: .9rem;
  font-weight: 400;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  font-size: .9rem;
  color: gray;
}
.caddyMenueLine--action {
  font-weight: 400;
  font-size: .9rem;
  text-align: right;
}
.caddyMenueLine--action .badge {
  background-color: #8f5bfe;
}
.caddyMenueLine--price {
  font-weight: 400;
  font-size: .8rem;
  text-align: center;
}
.caddyMenueLine--amount {
  font-size: .8rem;
  text-align: right;
  font-weight: 700;
}

/* menue caddy */
.caddyDetailLine {
  padding-top: .3rem;
  padding-bottom: .3rem;
}
.caddyDetailLine > div {
  padding-top: .2rem;
  padding-bottom: .2rem;
}
.caddyDetailLine--name {
  text-align: center;
}
.caddyDetailLine--name a {
  text-decoration: underline;
}
.caddyDetailLine--option {
  text-align: center;
}
.caddyDetailLine--price {
  text-align: center;
}
.caddyDetailLine--action button {
  margin-left: .2rem;
  margin-right: .2rem;
  background-color: #f3e9f1;
  color: black;
  border-color: #cfa7c7;
}
.caddyDetailLine--action button.btn-action:hover {
  background-color: #8f5bfe;
  color: #FFF;
}
.caddyDetailLine--amount {
  text-align: center;
  font-weight: 700;
}

.navigation .nav-item {
  font-size: 1.1rem;
}
.navigation .nav-item:not(.dropdown) a:hover::after {
  content: "";
  display: block;
  width: 100%;
  height: .2rem;
  background-color: #8f5bfe;
  margin-top: 0.5rem;
}
.navigation .nav-item.active a::after {
  content: "";
  display: block;
  width: 100%;
  height: .2rem;
  background-color: #f3e9f1;
  margin-top: 0.5rem;
}

/* navigation */
.ariane .breadcrumb {
  background-color: transparent;
  padding: .2rem .5rem .2rem;
  margin: .1rem auto;
}

/* ariane */
.resultProductList--line {
  margin-top: .5rem;
  margin-bottom: .5rem;
  background-color: #FFF;
  border-radius: .5rem;
  overflow: hidden;
  box-shadow: 0rem 0.2rem 0.2rem rgba(0, 0, 0, 0.45);
}
.resultProductList--line:hover {
  background-color: #efe2ed;
  box-shadow: 0rem 0.2rem 0.5rem rgba(0, 0, 0, 0.45);
}
@media (min-width: 576px) {
  .resultProductList--line {
    margin-top: 1rem;
  }
}
@media (min-width: 768px) {
  .resultProductList--line {
    margin-top: 1.5rem;
  }
}
@media (min-width: 1200px) {
  .resultProductList--line {
    margin-top: 2rem;
  }
}

/* result product */
.productDetail > .row {
  margin-bottom: .5rem;
}
@media (min-width: 768px) {
  .productDetail > .row {
    margin-bottom: 2rem;
  }
}
@media (min-width: 1200px) {
  .productDetail > .row {
    margin-bottom: 3rem;
  }
}
.productDetail h3 {
  text-decoration: underline;
}
.productDetail--description p {
  font-size: 0.9rem;
  width: 90%;
  margin: 0rem auto;
  text-align: left;
  color: gray;
}
@media (min-width: 768px) {
  .productDetail--description p {
    font-size: 1.3rem;
    padding: .5rem 1rem;
  }
}
.productDetail--image {
  padding: 1rem;
}
.productDetail--image img {
  box-shadow: 0.2rem 0.2rem 0.5rem rgba(143, 91, 254, 0.6);
  border: 0.2rem solid #8f5bfe;
}
.productDetail--price p {
  text-align: center;
}
.productDetail--price button:hover {
  box-shadow: 0.1rem 0.1rem 0.2rem rgba(0, 0, 0, 0.35);
  border: green 0.1rem solid;
}
.productDetail--price .badge {
  font-size: 1rem;
}
.productDetail--action {
  text-align: center;
}

/* detail product */
.caddyDetail--header p {
  color: #343A40;
  text-align: center;
}
.caddyDetail--header p .badge {
  box-shadow: 0.1rem 0.1rem 0.2rem rgba(52, 58, 64, 0.9);
}
@media (min-width: 576px) {
  .caddyDetail--header p .fa-shopping-cart {
    font-size: 1.5rem;
    margin-right: .2rem;
  }
}
.caddyDetail--footer {
  padding-top: .5rem;
  padding-bottom: .5rem;
  text-align: right;
}
.caddyDetail--footer span > span {
  margin-left: 1rem;
  font-weight: 900;
}

/* detail caddy */
.caddyMenue--header p {
  color: #343A40;
  text-align: center;
}
.caddyMenue--header p .badge {
  box-shadow: 0.1rem 0.1rem 0.2rem rgba(52, 58, 64, 0.9);
}
@media (min-width: 576px) {
  .caddyMenue--header p .fa-shopping-cart {
    font-size: 1.5rem;
    margin-right: .2rem;
  }
}
.caddyMenue--body {
  max-height: 40vh;
  overflow-y: auto;
  border: 0.1rem solid #8f5bfe;
}
.caddyMenue--footer {
  text-align: right;
}
.caddyMenue--footer p {
  color: #343A40;
  text-align: center;
}
.caddyMenue--footer p .badge {
  box-shadow: 0.1rem 0.1rem 0.2rem rgba(52, 58, 64, 0.9);
}
@media (min-width: 576px) {
  .caddyMenue--footer p .fa-shopping-cart {
    font-size: 1.5rem;
    margin-right: .2rem;
  }
}

/* menue caddy */
.order {
  padding-top: 2rem;
  padding-bottom: 2rem;
}
.order h3 {
  margin-bottom: 1rem;
  text-decoration: underline;
}
.order--recap p {
  border: 0.2rem dotted gray;
  color: #343A40;
}
.order--recap p strong {
  text-align: right;
}
.order--adrress p {
  text-align: center;
}
.order--products {
  margin-bottom: 1rem;
}
.order--products .validateLine {
  text-align: center;
  margin-top: 0.3rem;
  margin-bottom: 0.3rem;
  border-bottom: 0.1rem solid gray;
}
.order--continue {
  text-align: center;
}

/* menue caddy */
.page--header h1 {
  text-align: center;
}

.menu .caddyMenueXl {
  margin: .2rem;
}

.site {
  position: relative;
  min-height: 100vh;
}
.site--header {
  border-bottom: 0.1rem solid gray;
  background-color: #f3e9f1;
  box-shadow: 0rem 0.2rem 0.2rem rgba(0, 0, 0, 0.45);
  z-index: 2;
}
.site--content {
  position: relative;
  z-index: 1;
  background-color: #FFF;
}
.site--footer {
  border-top: 0.1rem solid gray;
  background-color: #f3e9f1;
  box-shadow: 0rem -0.2rem 0.2rem rgba(0, 0, 0, 0.45);
  z-index: 2;
}

/*# sourceMappingURL=style.css.map */
